{
	"openapi": "3.0.3",
	"info": {
		"title": "默认模块",
		"description": "",
		"version": "1.0.0"
	},
	"servers": [
		{
			"url": "/",
			"description": "默认服务器"
		}
	],
	"tags": [
		{
			"name": "ai-chat",
			"description": "ai对话相关接口"
		}
	],
	"paths": {
		"/api/ai/chat/knowledge-chat": {
			"post": {
				"summary": "基于知识库的问答 (SSE)",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"session_id": {
										"type": "string"
									},
									"query": {
										"type": "string"
									},
									"knowledge_base_ids": {
										"type": "array",
										"items": {
											"type": "string"
										}
									},
									"knowledge_ids": {
										"type": "array",
										"items": {
											"type": "string"
										}
									},
									"summary_model_id": {
										"type": "string"
									},
									"disable_title": {
										"type": "boolean"
									},
									"enable_memory": {
										"type": "boolean"
									}
								},
								"required": [
									"session_id",
									"query",
									"knowledge_base_ids",
									"knowledge_ids",
									"summary_model_id",
									"disable_title",
									"enable_memory"
								]
							},
							"example": {
								"session_id": "",
								"query": "你好啊",
								"knowledge_base_ids": [],
								"knowledge_ids": [],
								"summary_model_id": "",
								"disable_title": false,
								"enable_memory": true
							}
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		},
		"/api/ai/chat/agent-chat": {
			"post": {
				"summary": "基于Agent的智能问答 (SSE)",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"session_id": {
										"type": "string"
									},
									"query": {
										"type": "string"
									},
									"knowledge_base_ids": {
										"type": "array",
										"items": {
											"type": "string"
										}
									},
									"knowledge_ids": {
										"type": "array",
										"items": {
											"type": "string"
										}
									},
									"agent_id": {
										"type": "string"
									},
									"summary_model_id": {
										"type": "string"
									},
									"disable_title": {
										"type": "boolean"
									},
									"enable_memory": {
										"type": "boolean"
									},
									"images": {
										"type": "array",
										"items": {
											"type": "string"
										}
									},
									"agent_enabled": {
										"type": "boolean"
									},
									"web_search_enabled": {
										"type": "boolean"
									}
								},
								"required": [
									"session_id",
									"query",
									"knowledge_base_ids",
									"knowledge_ids",
									"agent_id",
									"summary_model_id",
									"disable_title",
									"enable_memory",
									"images",
									"agent_enabled",
									"web_search_enabled"
								]
							},
							"example": {
								"session_id": "",
								"query": "帮我分析一下图片中有哪些信息？",
								"knowledge_base_ids": [],
								"knowledge_ids": [],
								"agent_id": "builtin-smart-reasoning",
								"summary_model_id": "",
								"disable_title": false,
								"enable_memory": true,
								"images": ["f2048d34-0cee-4850-a280-70707f3d14e7"],
								"agent_enabled": true,
								"web_search_enabled": false
							}
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		},
		"/api/ai/chat/model-chat": {
			"post": {
				"summary": "基于模型聊天 (SSE)",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"session_id": {
										"type": "string"
									},
									"query": {
										"type": "string"
									},
									"summary_model_id": {
										"type": "string"
									},
									"disable_title": {
										"type": "boolean"
									},
									"enable_memory": {
										"type": "boolean"
									}
								},
								"required": [
									"session_id",
									"query",
									"summary_model_id",
									"disable_title",
									"enable_memory"
								]
							},
							"example": {
								"session_id": "",
								"query": "你好啊",
								"summary_model_id": "ea1598d8-1578-4ce3-8898-c47981e00e2a",
								"disable_title": false,
								"enable_memory": true
							}
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		},
		"/api/ai/session/pageList": {
			"post": {
				"summary": "获取分页列表",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"pageIndex": {
										"type": "integer"
									},
									"pageSize": {
										"type": "integer"
									}
								},
								"required": ["pageIndex", "pageSize"]
							},
							"example": {
								"pageIndex": 1,
								"pageSize": 20
							}
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {
										"isSuccess": {
											"type": "boolean"
										},
										"code": {
											"type": "integer"
										},
										"result": {
											"type": "object",
											"properties": {
												"currentPage": {
													"type": "integer"
												},
												"hasNextPage": {
													"type": "boolean"
												},
												"hasPreviousPage": {
													"type": "boolean"
												},
												"model": {
													"type": "array",
													"items": {
														"type": "object",
														"properties": {
															"app": {
																"type": "string"
															},
															"creationTime": {
																"type": "string"
															},
															"entityId": {
																"type": "string"
															},
															"id": {
																"type": "string"
															},
															"isDeleted": {
																"type": "boolean"
															},
															"name": {
																"type": "string"
															},
															"sessionId": {
																"type": "string"
															},
															"updateTime": {
																"type": "string"
															},
															"userId": {
																"type": "string"
															},
															"creatorUserId": {
																"type": "string"
															}
														},
														"required": [
															"app",
															"creationTime",
															"entityId",
															"id",
															"isDeleted",
															"name",
															"sessionId",
															"updateTime",
															"userId",
															"creatorUserId"
														]
													}
												},
												"pageSize": {
													"type": "integer"
												},
												"totalCount": {
													"type": "integer"
												},
												"totalPages": {
													"type": "integer"
												}
											},
											"required": [
												"currentPage",
												"hasNextPage",
												"hasPreviousPage",
												"model",
												"pageSize",
												"totalCount",
												"totalPages"
											]
										},
										"isAuthorized": {
											"type": "boolean"
										}
									},
									"required": ["isSuccess", "code", "result", "isAuthorized"]
								},
								"example": {
									"isSuccess": true,
									"code": 1,
									"result": {
										"currentPage": 1,
										"hasNextPage": true,
										"hasPreviousPage": false,
										"model": [
											{
												"app": "ShaLu",
												"creationTime": "2026-05-17 09:49:34",
												"entityId": "Global",
												"id": "965e68f8-4947-45d4-a800-df7c4e1ed7ea",
												"isDeleted": false,
												"name": "修改会话名称",
												"sessionId": "ea9e1f06-0017-4544-b769-2d2d7b5ac3ec",
												"updateTime": "2026-05-17 09:54:29",
												"userId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993"
											},
											{
												"app": "shalu",
												"creationTime": "2026-05-16 14:17:23",
												"creatorUserId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993",
												"entityId": "GLOBAL",
												"id": "84434a22-24ac-4d6b-a0c6-f08cdba0cc03",
												"isDeleted": false,
												"name": "新的会话",
												"sessionId": "45e3b97e-dc67-486a-aeac-87093f5727ba",
												"updateTime": "2026-05-16 14:17:23",
												"userId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993"
											},
											{
												"app": "shalu",
												"creationTime": "2026-05-16 14:05:51",
												"creatorUserId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993",
												"entityId": "GLOBAL",
												"id": "29026a3d-6dd7-4cd9-9dae-755439b81fae",
												"isDeleted": false,
												"name": "新的会话",
												"sessionId": "6cae1573-f97b-4423-8df5-c4a62b3ca87a",
												"updateTime": "2026-05-16 14:05:51",
												"userId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993"
											},
											{
												"app": "shalu",
												"creationTime": "2026-05-16 14:04:43",
												"creatorUserId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993",
												"entityId": "GLOBAL",
												"id": "5309f00d-6ff4-468c-bde1-140aeab5cb63",
												"isDeleted": false,
												"name": "新的会话",
												"sessionId": "95ed68d9-9e62-427a-bfe0-c70531fcc482",
												"updateTime": "2026-05-16 14:04:43",
												"userId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993"
											},
											{
												"app": "shalu",
												"creationTime": "2026-05-16 13:53:01",
												"creatorUserId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993",
												"entityId": "GLOBAL",
												"id": "acb4b3cf-2fe3-462d-9727-c9c41177edd8",
												"isDeleted": false,
												"name": "新的会话",
												"sessionId": "714836a0-3f1b-47af-87e9-81c46024c9c5",
												"updateTime": "2026-05-16 13:53:01",
												"userId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993"
											}
										],
										"pageSize": 20,
										"totalCount": 5,
										"totalPages": 1
									},
									"isAuthorized": true
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		},
		"/api/ai/session/sessionMessages": {
			"post": {
				"summary": "获取消息分页列表",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"sessionId": {
										"type": "string"
									},
									"pageIndex": {
										"type": "integer"
									},
									"pageSize": {
										"type": "integer"
									}
								},
								"required": ["sessionId", "pageIndex", "pageSize"]
							},
							"example": {
								"sessionId": "d24107a9-2a6f-4a8e-a95d-45a14f936db1",
								"pageIndex": 1,
								"pageSize": 20
							}
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {
										"isSuccess": {
											"type": "boolean"
										},
										"code": {
											"type": "integer"
										},
										"result": {
											"type": "object",
											"properties": {
												"currentPage": {
													"type": "integer"
												},
												"hasNextPage": {
													"type": "boolean"
												},
												"hasPreviousPage": {
													"type": "boolean"
												},
												"model": {
													"type": "array",
													"items": {
														"type": "object",
														"properties": {
															"answer": {
																"type": "string"
															},
															"app": {
																"type": "string"
															},
															"creationTime": {
																"type": "string"
															},
															"creatorUserId": {
																"type": "string"
															},
															"entityId": {
																"type": "string"
															},
															"id": {
																"type": "string"
															},
															"isDeleted": {
																"type": "boolean"
															},
															"message_files": {
																"type": "string"
															},
															"msgId": {
																"type": "string"
															},
															"query": {
																"type": "string"
															},
															"sessionId": {
																"type": "string"
															},
															"taskId": {
																"type": "string"
															},
															"updateTime": {
																"type": "string"
															},
															"userId": {
																"type": "string"
															}
														}
													}
												},
												"pageSize": {
													"type": "integer"
												},
												"totalCount": {
													"type": "integer"
												},
												"totalPages": {
													"type": "integer"
												}
											},
											"required": [
												"currentPage",
												"hasNextPage",
												"hasPreviousPage",
												"model",
												"pageSize",
												"totalCount",
												"totalPages"
											]
										},
										"isAuthorized": {
											"type": "boolean"
										}
									},
									"required": ["isSuccess", "code", "result", "isAuthorized"]
								},
								"example": {
									"isSuccess": true,
									"code": 1,
									"result": {
										"currentPage": 1,
										"hasNextPage": true,
										"hasPreviousPage": false,
										"model": [
											{
												"answer": "根据您提供的图片描述，我为您分析出以下信息：\n\n## 一、游戏核心信息\n1. **游戏名称**：《黑神话：悟空》\n2. **主要角色**：悟空（孙悟空）\n3. **游戏场景**：雪地背景，人物持械站立，可能是游戏中的战斗或探索场景\n\n## 二、发行与平台信息\n1. **开发商**：游戏科学（Game Science）\n2. **发行平台**：WeGame（腾讯游戏平台）\n3. **版本信息**：豪华版（Deluxe Edition）\n\n## 三、用户状态信息\n1. **用户身份**：码神（可能是用户名或昵称）\n2. **拥有状态**：已拥有《黑神话：悟空》豪华版\n3. **获取方式**：通过WeGame平台购买或获得\n\n## 四、时间信息\n1. **记录时间**：2024年10月3日 11:36\n2. **时间意义**：可能是购买时间、截图时间或成就解锁时间\n\n## 五、视觉设计元素\n1. **左上角标识**：游戏科学和WeGame的logo组合\n2. **右上角文字**：\"悟 空\"字样，采用艺术字体设计\n3. **右侧印章**：红底黑字印章样式图案，具有中国传统文化特色\n4. **整体色调**：以雪地白色为背景，与游戏主题相呼应\n\n## 六、功能元素\n1. **二维码**：位于图片底部，可能用于：\n   - 游戏下载链接\n   - 分享功能\n   - 社区或社交平台跳转\n   - 验证或兑换功能\n\n## 七、信息层级分析\n1. **一级信息**（最显眼）：游戏名称、角色形象\n2. **二级信息**（重要标识）：开发商、平台、版本\n3. **三级信息**（用户相关）：拥有状态、时间、用户ID\n4. **四级信息**（功能元素）：二维码\n\n## 八、潜在用途推断\n这张图片可能是：\n1. **购买确认截图**：显示用户在WeGame平台成功购买豪华版\n2. **成就分享图**：展示用户已获得该游戏豪华版\n3. **宣传素材**：结合用户个性化信息的宣传图片\n4. **社区分享内容**：用于游戏社区或社交平台分享\n\n这张图片包含了从游戏基本信息到用户个性化数据的完整链条，既展示了游戏本身的特色，也体现了平台与用户的交互关系。",
												"app": "ShaLu",
												"creationTime": "2026-05-17 11:00:43",
												"creatorUserId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993",
												"entityId": "Global",
												"id": "ebdb16da-cfa2-488f-9cc7-44d241349457",
												"isDeleted": false,
												"message_files": "f2048d34-0cee-4850-a280-70707f3d14e7",
												"msgId": "",
												"query": "帮我分析一下图片中有哪些信息？",
												"sessionId": "d24107a9-2a6f-4a8e-a95d-45a14f936db1",
												"taskId": "",
												"updateTime": "2026-05-17 11:00:43",
												"userId": "7F8A2BFE-402D-4499-9BB8-2EF7FFC7B993"
											}
										],
										"pageSize": 20,
										"totalCount": 1,
										"totalPages": 1
									},
									"isAuthorized": true
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		},
		"/api/ai/session/create": {
			"post": {
				"summary": "创建会话",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"name": {
										"type": "string"
									}
								},
								"required": ["name"]
							},
							"example": "{\r\n    \"name\": \"\",\r\n}"
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {
										"isSuccess": {
											"type": "boolean"
										},
										"code": {
											"type": "integer"
										},
										"result": {
											"type": "string"
										},
										"isAuthorized": {
											"type": "boolean"
										}
									},
									"required": ["isSuccess", "code", "result", "isAuthorized"]
								},
								"example": {
									"isSuccess": true,
									"code": 1,
									"result": "965e68f8-4947-45d4-a800-df7c4e1ed7ea",
									"isAuthorized": true
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		},
		"/api/ai/session/update": {
			"post": {
				"summary": "更新会话",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"id": {
										"type": "string"
									},
									"name": {
										"type": "string"
									}
								},
								"required": ["id", "name"]
							},
							"example": {
								"id": "965e68f8-4947-45d4-a800-df7c4e1ed7ea",
								"name": "修改会话名称"
							}
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {
										"isSuccess": {
											"type": "boolean"
										},
										"code": {
											"type": "integer"
										},
										"isAuthorized": {
											"type": "boolean"
										}
									},
									"required": ["isSuccess", "code", "isAuthorized"]
								},
								"example": {
									"isSuccess": true,
									"code": 1,
									"isAuthorized": true
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		},
		"/api/ai/session/delete": {
			"post": {
				"summary": "删除会话",
				"deprecated": false,
				"description": "",
				"tags": ["ai-chat"],
				"parameters": [
					{
						"name": "Authorization",
						"in": "header",
						"description": "",
						"example": "bpm_client_1513029045627916288",
						"schema": {
							"type": "string",
							"default": "bpm_client_1513029045627916288"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"type": "object",
								"properties": {
									"id": {
										"type": "string"
									}
								},
								"required": ["id"]
							},
							"example": {
								"id": "49b47841-7f5d-4899-adfb-358198543308"
							}
						}
					},
					"required": true
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"type": "object",
									"properties": {
										"isSuccess": {
											"type": "boolean"
										},
										"code": {
											"type": "integer"
										},
										"isAuthorized": {
											"type": "boolean"
										}
									},
									"required": ["isSuccess", "code", "isAuthorized"]
								},
								"example": {
									"isSuccess": true,
									"code": 1,
									"isAuthorized": true
								}
							}
						},
						"headers": {}
					}
				},
				"security": []
			}
		}
	},
	"components": {
		"schemas": {
			"AgentNode": {
				"type": "object",
				"properties": {
					"appAgentId": {
						"type": "string",
						"format": "uuid"
					},
					"creationTime": {
						"type": "string",
						"format": "date-time"
					},
					"creatorUserId": {
						"type": "string",
						"format": "uuid"
					},
					"data": {
						"$ref": "#/components/schemas/NodeData"
					},
					"height": {
						"type": "integer"
					},
					"id": {
						"type": "string",
						"format": "uuid"
					},
					"isDeleted": {
						"type": "boolean"
					},
					"position": {
						"type": "object",
						"properties": {
							"x": {
								"type": "integer"
							},
							"y": {
								"type": "integer"
							}
						},
						"required": ["x", "y"]
					},
					"selected": {
						"type": "boolean"
					},
					"type": {
						"type": "string",
						"enum": ["custom", "start", "end", "condition", "task", "http-request"]
					},
					"updateTime": {
						"type": "string",
						"format": "date-time"
					},
					"width": {
						"type": "integer"
					},
					"zIndex": {
						"type": "integer"
					}
				},
				"required": [
					"appAgentId",
					"creationTime",
					"creatorUserId",
					"data",
					"id",
					"position",
					"type"
				]
			},
			"NodeData": {
				"type": "object",
				"properties": {
					"outputs": {
						"type": "array",
						"items": {
							"type": "object",
							"properties": {
								"name": {
									"type": "string"
								},
								"describe": {
									"type": "string"
								},
								"type": {
									"type": "string",
									"enum": ["string", "number", "boolean", "object", "array"]
								}
							},
							"required": ["name", "describe", "type"]
						}
					},
					"output_can_alter": {
						"type": "boolean"
					},
					"variables": {
						"type": "array",
						"items": {
							"type": "string"
						}
					},
					"method": {
						"type": "string",
						"enum": ["get", "post", "put", "delete", "patch", "head", "options"]
					},
					"ssl_verify": {
						"type": "boolean"
					},
					"isInIteration": {
						"type": "boolean"
					},
					"default_value": {
						"type": "array",
						"items": {
							"type": "string"
						}
					},
					"body": {
						"$ref": "#/components/schemas/RequestBody"
					},
					"params": {
						"type": "array",
						"items": {
							"type": "string"
						}
					},
					"title": {
						"type": "string"
					},
					"type": {
						"type": "string",
						"enum": ["http-request", "condition", "task"]
					},
					"error_strategy": {
						"type": "string",
						"enum": ["none", "retry", "abort", "continue"]
					},
					"retry_config": {
						"type": "object",
						"properties": {
							"max_retries": {
								"type": "integer",
								"minimum": 0,
								"maximum": 10
							},
							"retry_enabled": {
								"type": "boolean"
							},
							"retry_interval": {
								"type": "integer",
								"minimum": 0,
								"maximum": 5000
							}
						},
						"required": ["max_retries", "retry_enabled", "retry_interval"]
					},
					"url": {
						"type": "string",
						"format": "uri"
					},
					"authorization": {
						"type": "object",
						"properties": {
							"type": {
								"type": "string",
								"enum": ["none", "bearer", "basic", "api-key"]
							},
							"config": {
								"type": "object",
								"properties": {
									"api_key": {
										"type": "string"
									},
									"header": {
										"type": "string"
									},
									"type": {
										"type": "string"
									}
								}
							}
						},
						"required": ["type", "config"]
					},
					"timeout_config": {
						"type": "object",
						"properties": {
							"max_write_timeout": {
								"type": "integer",
								"minimum": 0
							},
							"max_read_timeout": {
								"type": "integer",
								"minimum": 0
							},
							"max_connect_timeout": {
								"type": "integer",
								"minimum": 0
							}
						},
						"required": ["max_write_timeout", "max_read_timeout", "max_connect_timeout"]
					},
					"heads": {
						"type": "array",
						"items": {
							"$ref": "#/components/schemas/HttpHeader"
						}
					},
					"selected": {
						"type": "boolean"
					},
					"desc": {
						"type": "string"
					},
					"isInLoop": {
						"type": "boolean"
					}
				},
				"required": ["outputs", "method", "title", "type", "url"]
			},
			"RequestBody": {
				"type": "object",
				"properties": {
					"data": {
						"type": "array",
						"items": {
							"$ref": "#/components/schemas/RequestDataItem"
						}
					},
					"type": {
						"type": "string",
						"enum": ["json", "form-data", "x-www-form-urlencoded", "raw", "binary"]
					}
				},
				"required": ["data", "type"]
			},
			"RequestDataItem": {
				"type": "object",
				"properties": {
					"type": {
						"type": "string",
						"enum": ["text", "file", "json"]
					},
					"value": {
						"type": "string"
					},
					"key": {
						"type": "string"
					}
				},
				"required": ["type", "value"]
			},
			"HttpHeader": {
				"type": "object",
				"properties": {
					"name": {
						"type": "string"
					},
					"value": {
						"type": "string"
					}
				},
				"required": ["name", "value"]
			}
		},
		"securitySchemes": {
			"ApiKeyAuth": {
				"type": "apiKey",
				"in": "header",
				"name": "Authorization"
			}
		}
	},
	"security": [
		{
			"ApiKeyAuth": []
		}
	]
}
